Package org.eclipse.net4j.util.concurrent

# Class DelayingExecutor

java.lang.Object
org.eclipse.net4j.util.concurrent.DelayingExecutor

All Implemented Interfaces:
  `Runnable`, `Executor`

public class DelayingExecutor extends Object implements Executor, Runnable

Since:
  3.23
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`DelayingExecutor(long delay)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(Runnable runnable)`
`void`
`execute(Runnable runnable)`
`void`
`run()`
`void`
`stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelayingExecutor

public DelayingExecutor(long delay)

## Method Details

### execute

public void execute(Runnable runnable)

Specified by:
  `execute` in interface `Executor`

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### stop

public void stop()

### doExecute

protected void doExecute(Runnable runnable)